petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexReconstructGradientsFVM

reconstruct the gradient of a vector using a finite volume method.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexReconstructGradientsFVM(DM dm, Vec locX, Vec grad)

### Input Parameters

| dm | - the mesh
| locX | - the local representation of the vector

### Output Parameter

grad -the global representation of the gradient

### See Also

DMPlexSNESGetGradientDM()

### Level

developer

### Location

src/dm/impls/plex/plexfvm.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages